Skip to main content
GET
/
v1
/
wallets
/
{address}
/
nft-collections
/
Get wallet NFT collections
curl --request GET \
  --url https://api.zerion.io/v1/wallets/{address}/nft-collections/ \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.zerion.io/v1/wallets/{address}/nft-collections/"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.zerion.io/v1/wallets/{address}/nft-collections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.zerion.io/v1/wallets/{address}/nft-collections/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "links": {
    "self": "https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/nft-collections/"
  },
  "data": [
    {
      "type": "wallet_nft_collections",
      "id": 14,
      "attributes": {
        "nfts_count": "1",
        "total_floor_price": 123,
        "min_changed_at": "2020-02-28T19:24:39Z",
        "max_changed_at": "2023-02-28T19:24:39Z",
        "collection_info": {
          "name": "<string>",
          "description": "<string>",
          "content": {
            "icon": {
              "url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
            },
            "banner": {
              "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
              "content_type": "image/png"
            }
          }
        }
      },
      "relationships": {
        "chains": [
          {
            "links": {
              "related": "https://api.zerion.io/v1/chains/polygon"
            },
            "data": {
              "type": "chains",
              "id": "polygon"
            }
          }
        ],
        "nft_collection": {
          "data": {
            "type": "nft_collections",
            "id": 14
          }
        }
      },
      "included": [
        {
          "type": "nft_collections",
          "id": 14,
          "attributes": {
            "metadata": {
              "name": "<string>",
              "description": "<string>",
              "content": {
                "icon": {
                  "url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
                },
                "banner": {
                  "url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
                  "content_type": "image/png"
                }
              },
              "payment_token_symbol": "<string>"
            },
            "market_data": {
              "prices": {
                "floor": 123
              }
            },
            "implementations": [
              {
                "chain_id": "ethereum",
                "address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
              }
            ]
          }
        }
      ]
    }
  ]
}
{
"links": {
"self": "https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/nft-positions/"
},
"data": []
}
{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}
{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}
{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}

Authorizations

Authorization
string
header
required

To test endpoints here, paste your API key from the dashboard into the username field and leave the password empty.

Headers

X-Env
enum<string>

Custom header that allows you to get data for testnets.

Available options:
testnet

Path Parameters

address
required

The web3 wallet address. Must be a valid EVM or Solana address. Returns 400 if the address is not tracked by Zerion. A wallet address, which can be either an EVM or Solana address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x42b9df65b219b3dd36ff330a4dd8f327a6ada990"

Query Parameters

filter[chain_ids]
string[]

Keep only collections from the specified chains (comma-separated list). Available chain IDs can be found in the chains endpoint.

Maximum array length: 25
Example:
["ethereum", "polygon"]
sort
enum<string>

The order of NFTs in the result.

Available options:
-max_changed_at,
min_changed_at,
total_floor_price,
-total_floor_price
Example:

"-total_floor_price"

currency
enum<string>
default:usd

Denominated currency value of returned prices

Available options:
eth,
btc,
usd,
eur,
krw,
rub,
gbp,
aud,
cad,
inr,
jpy,
nzd,
try,
zar,
cny,
chf
include
enum<string>[]

Array of related resources to be included to the response (comma-separated list). This parameter corresponds to the JSON API schema.

Available options:
nft_collections

Response

Response for requested list of NFT collections.

data
object[]
required